//
//  TSPlogVM.swift
//  KittensTravelNotes
//
//  Created by 100Years on 2025/7/5.
//



import ObjectMapper

let catPrompt:String = "Create an image of a joyful cat taking a selfie, with a relaxed, natural pose. The cat should look like it’s capturing the moment, with its face clearly visible in the composition, conveying the feeling of a fun and adventurous selfie. The background should reflect a vibrant and scenic tourist destination, fitting any location—whether it’s a famous landmark, nature, or cultural site. The scene should capture a sense of exploration and excitement, without the need for a phone to be visible. The tourist destination is "


//MARK: 组装数据
class TSPlogVM {
    let netImageURLString = "http://d3a93z8fj970a4.cloudfront.net/deca699e-3813-4542-9ea6-8fc2ce68ce33"
    let netImageURLString1 = "https://i-blog.csdnimg.cn/blog_migrate/b68bc16f540c0f754673f3b75fc1ea10.webp?x-image-process=image/format,png"
    
    
    
    lazy var bannerSection: TSAIDataSectionModel = {
        let section = TSAIDataSectionModel()
        section.style = .banner
        section.sectionEdge = UIEdgeInsets(top: 22, left: kAIDataSection.left, bottom: 8, right: kAIDataSection.right)
        section.items = [[
            "plog_banner_0",
            "plog_banner_1",
            "plog_banner_2",
            "plog_banner_3",
            "plog_banner_4",
            "plog_banner_5"
        ]]
        
        return section
    }()
    
    let prompt:String = "Create an selfie image of the character from the uploaded photo. The photo should have a selfie perspective, with the character's face clearly visible in the frame. The background should feature the iconic landmark or architecture of the input address, with vibrant lighting that matches the time of day. The overall effect should be natural and realistic, as if the animal is genuinely on a trip to the address, capturing the moment. The scene should convey a sense of travel with the animal as the main focus. The input address is "
    
    
    func creatGenerateModel(_ inputText:String) -> TSGenerateModel{
        let model = TSGenerateModel()
        model.prompt = catPrompt
        model.inputText = inputText
        model.model = kie
        return model
    }

    
    
    lazy var asiaSection: TSAIDataSectionModel = {
        let section = TSAIDataSectionModel()
        section.style = .styleMore
        section.title = "Asia".localized
        section.sectionEdge =  UIEdgeInsets(top: 0, left: kAIDataSection.left, bottom: 0, right: kAIDataSection.right)
        section.items = [[
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/3aa50c4d-0638-4493-9ab4-786e0a44f759"),
                              generateModel: creatGenerateModel("Disney")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/fbe116b4-c578-4a42-8374-074b33f12291"),
                            generateModel: creatGenerateModel("Tiananmen Square")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/a73effe0-f793-44b4-84ff-1ba5670b4290"),
                            generateModel: creatGenerateModel("Canton Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/7985cef0-1c2b-468c-9461-6fdea10b41ff"),
                            generateModel: creatGenerateModel("Liberation Monument")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/e76d3e66-acd1-49f9-8980-b329b5c3399c"),
                            generateModel: creatGenerateModel("Oriental Pearl Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/9deef48b-ada5-41a9-9a96-5e7fce0d8af7"),
                            generateModel: creatGenerateModel("Beijing Bird's Nest")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/f4b8c412-a87b-4bdb-9538-9171a4afd0c0"),
                            generateModel: creatGenerateModel("Merlion Park")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/9fbba65b-2df9-41be-9ca1-93e553e3f58d"),
                            generateModel: creatGenerateModel("Great Wall")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/f13f276a-da18-4890-99e7-55b43afd5bd4"),
                            generateModel: creatGenerateModel("Hangzhou Temples")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/2a3b5a02-733e-48e1-952d-4e76bc3ead15"),
                            generateModel: creatGenerateModel("Tiananmen Square")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/53f0494e-4123-4b5b-b51d-7509ff325723"),
                            generateModel: creatGenerateModel("Liberation Monument")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/0900c030-9555-4787-9081-b553d82893db"),
                            generateModel: creatGenerateModel("Merlion Park")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/cf3af219-f543-4450-9682-942a0da950b3"),
                            generateModel: creatGenerateModel("Oriental Pearl Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/6be856ec-0110-4f93-a433-5b21d0cb63da"),
                            generateModel: creatGenerateModel("Financial Center")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/963c3a01-b9b0-4fe1-b1d8-55d9ee4d67dc"),
                            generateModel: creatGenerateModel("Canton Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/6fde557f-74d0-40cb-865b-525a43cfb124"),
                            generateModel: creatGenerateModel("Oriental Pearl Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/4421a8c4-5e1a-4215-9356-46ca3fc4a62b"),
                            generateModel: creatGenerateModel("West Lake")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/da722cbf-44a6-41e5-a752-6b16dd4e8be0"),
                            generateModel: creatGenerateModel("Guilin")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/14bca4e6-f18c-4650-90ba-2058e9e096bd"),
                            generateModel: creatGenerateModel("Disney")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/a263abf9-cb92-46e3-b761-a3729757140d"),
                            generateModel: creatGenerateModel("Oriental Pearl Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/a411f4df-81aa-4ae7-b1d0-fd633c18b0f3"),
                            generateModel: creatGenerateModel("Oriental Pearl Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/d6421040-4ce9-4256-b2a1-59d674e66bda"),
                            generateModel: creatGenerateModel("Oriental Pearl Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/b453ed85-3a50-455b-ab9b-e3a732127764"),
                            generateModel: creatGenerateModel("Oriental Pearl Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/b20dfeb7-079b-49f5-a7f3-665d7bb740fa"),
                            generateModel: creatGenerateModel("Disney"))
        ]]
        return section
    }()




    lazy var europeSection: TSAIDataSectionModel = {
        let section = TSAIDataSectionModel()
        section.style = .styleMore
        section.title = "Europe".localized
        section.sectionEdge =  UIEdgeInsets(top: 0, left: kAIDataSection.left, bottom: 0, right: kAIDataSection.right)
        section.items = [[
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/3ffd3346-2802-4361-bfb5-de05024d0130"),
                              generateModel: creatGenerateModel("Eiffel Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/7a8de331-862d-498b-a1e4-246e00f0e590"),
                            generateModel: creatGenerateModel("Iceland")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/b2a4e9db-bc28-415c-9eca-a51acc38fcc6"),
                              generateModel: creatGenerateModel("Leaning Tower of Pisa")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/290d23e2-cd00-4693-869c-39cd6b8b95a0"),
                            generateModel: creatGenerateModel("Eiffel Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/41975422-cacf-43e8-a321-a55c0ae80ae2"),
                              generateModel: creatGenerateModel("Switzerland")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/88b1c704-ad4c-4944-92d8-ce8afddc52a4"),
                            generateModel: creatGenerateModel("Big Ben")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/645be813-5166-4fd0-b2d0-c6ae169d7510"),
                              generateModel: creatGenerateModel("Eiffel Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/5d9d72c2-e3a7-41e2-ac38-00350191aa98"),
                            generateModel: creatGenerateModel("Big Ben")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/47db44b6-b94d-47b4-b694-6bdb93458adf"),
                              generateModel: creatGenerateModel("Tokyo Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/d68f3689-f661-402d-867c-7acb3f613ec2"),
                            generateModel: creatGenerateModel("Milan Cathedral")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/008b2871-c09a-454e-b1b3-70cbef7fcf9f"),
                              generateModel: creatGenerateModel("Eiffel Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/068c1e69-773d-48c5-a3ae-5f7199180ceb"),
                            generateModel: creatGenerateModel("Barcelona,​​Spain")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/4461c998-db8f-44b0-8a04-ae7ea181a188"),
                              generateModel: creatGenerateModel("Neuschwanstein Castle")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/48bf254e-9d24-47dc-ae5f-90eba01dad59"),
                            generateModel: creatGenerateModel("Netherlands")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/179db33a-6db7-4d17-b334-1b7c4b9f6492"),
                              generateModel: creatGenerateModel("Eiffel Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/25eb31ce-0fb1-4d12-b7f5-c1297bbac7cc"),
                            generateModel: creatGenerateModel("Venice")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/d86bee50-47a3-4cb1-b09d-4fc4d6212339"),
                              generateModel: creatGenerateModel("Athens, Greece")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/9df04b41-0660-4c2b-85d5-d49f52389c22"),
                            generateModel: creatGenerateModel("Louvre Museum, Paris")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/612b3eda-633d-48ce-a975-20a6a2639a64"),
                              generateModel: creatGenerateModel("Eiffel Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/10879f52-296c-4560-9c53-c633c30715c0"),
                            generateModel: creatGenerateModel("Norway")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/b1499969-da77-46fd-a15c-27de21c74691"),
                              generateModel: creatGenerateModel("Eiffel Tower")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/a2bd6afb-8bb1-4d93-99b3-78d4be18c4d0"),
                            generateModel: creatGenerateModel("Louvre Museum, Paris")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/9d6b5b4b-ad76-43a7-96a2-243eeb4368a5"),
                              generateModel: creatGenerateModel("Louvre Museum, Paris")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/6c0c9666-0c90-4041-b2ef-a322ca4f5ae0"),
                              generateModel: creatGenerateModel("Eiffel Tower")),
              
          ]]
          return section
      }()
    
    
    lazy var africaSection: TSAIDataSectionModel = {
           let section = TSAIDataSectionModel()
           section.style = .styleMore
           section.title = "Africa".localized
           section.sectionEdge =  UIEdgeInsets(top: 0, left: kAIDataSection.left, bottom: 0, right: kAIDataSection.right)
           section.items = [[
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/074b2966-7c2c-4119-8278-98f748f712af"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/def1649c-417b-44aa-a515-8a6925af82b2"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/d2f5d6f2-011b-4196-a4f7-9b48a0e3aded"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/5ce6c0b2-5f9f-4134-b9d8-a2799ea3a54e"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/83287092-89a6-4996-ad31-6442f0020d01"),
                                 generateModel: creatGenerateModel("Namibia, Africa")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/2d5dbcec-c545-4e2b-8cff-89c81608e204"),
                                 generateModel: creatGenerateModel("Victoria Falls")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/086d651b-e0b7-41ae-b596-6119829d7ec3"),
                                 generateModel: creatGenerateModel("Namibia, Africa")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/ea2c3a9c-62fb-4fd9-bfb4-fae50c854d32"),
                                 generateModel: creatGenerateModel("Mount Kilimanjaro")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/c1e5a122-832f-4d81-8fb0-6b0656046c0f"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/dec9be77-fb23-4bdf-a563-1d48f4ff317a"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/9ddaa9fd-3e54-4a95-bb8f-2f5f2fbcaf87"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/5029bf6f-50ad-407b-986b-d8cb36251432"),
                                 generateModel: creatGenerateModel("Egyptian Pyramids")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/598fc22a-d524-40f6-87ff-8d2c2fc0550e"),
                                 generateModel: creatGenerateModel("Tunisia")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/c3e6aa87-91f2-487d-86ce-767010fb6b48"),
                                 generateModel: creatGenerateModel("Mauritius")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/a5191715-8e02-4fc4-857b-5cb271c88d97"),
                                 generateModel: creatGenerateModel("Congo Basin")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/819edcbd-f668-4179-97a5-c17ff2f90f98"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/6dc3a2b5-1ed6-4459-a128-2627e702d42a"),
                                 generateModel: creatGenerateModel("Madagascar")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/bc79eed8-5218-42cf-899b-465326da4ac1"),
                                 generateModel: creatGenerateModel("Zambezi Canyon")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/9c0255a4-0db0-471e-a57c-ca47a46856d8"),
                                 generateModel: creatGenerateModel("Congo Basin")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/2526b722-bc91-451b-929e-aaf21e9aa2fc"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/de4d56e4-a1d8-4ce1-8406-3facb2c2adfd"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/399d908d-e9e3-4425-822d-4e29de6a6836"),
                                 generateModel: creatGenerateModel("Tunisia")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/8bfaf47d-2f2c-4bc9-90ea-71c6ffaa9fd1"),
                                 generateModel: creatGenerateModel("African Savannah")),
               TSAIDataItemModel(style: .ptp,
                                 viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/71dda163-e60c-4add-a8ab-ec9b9fb4e4f2"),
                                 generateModel: creatGenerateModel("Egyptian Pyramids")),
           ]]
           return section
       }()


       lazy var americaSection: TSAIDataSectionModel = {
              let section = TSAIDataSectionModel()
              section.style = .styleMore
              section.title = "America".localized
              section.sectionEdge =  UIEdgeInsets(top: 0, left: kAIDataSection.left, bottom: 0, right: kAIDataSection.right)
              section.items = [[
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/9aafb51f-fb2d-4918-8eb2-84bb9ec04172"),
                                    generateModel: creatGenerateModel("Hogwarts")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/9c4bb7e7-cddb-4b56-83f1-a587e0afa91a"),
                                    generateModel: creatGenerateModel("Statue of Liberty")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/81ba7bcd-4a28-4fec-bb4c-589b45939d5e"),
                                    generateModel: creatGenerateModel("Niagara Falls")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/e9562d6f-4b64-4354-a8c1-cfae228f7e3c"),
                                    generateModel: creatGenerateModel("Rio de Janeiro, Brazil")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/4e7a36e3-5946-4b55-806a-fffcf5e32c04"),
                                    generateModel: creatGenerateModel("Grand Canyon")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/ad7632a4-e7e2-42ee-aca6-620ecf0d9296"),
                                    generateModel: creatGenerateModel("Chichen Itza")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/7c3363ea-6ec4-4051-bdb9-5698fa87fd4d"),
                                    generateModel: creatGenerateModel("Las Vegas")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/1e346f78-3fe9-40d6-b27e-8abb38dbac40"),
                                    generateModel: creatGenerateModel("Yellowstone National Park")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/a3db6bfa-0bce-4d60-bdd7-15cc3f4877e5"),
                                    generateModel: creatGenerateModel("Niagara Falls")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/402304a5-0727-4fd3-948e-84ce1006a426"),
                                    generateModel: creatGenerateModel("Hawaii")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/8deaedf9-696a-4aa7-b52b-97e63be4044e"),
                                    generateModel: creatGenerateModel("San Francisco")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/37e5e236-f22f-4cee-9cb4-d4d551b0ef37"),
                                    generateModel: creatGenerateModel("Perito Moreno Glacier, Argentina")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/c5cd161d-24de-4325-ac5c-82f59d2d8b60"),
                                    generateModel: creatGenerateModel("New York")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/5008c0df-f803-45ad-a5d6-0aba6d0702e6"),
                                    generateModel: creatGenerateModel("Machu Picchu, Peru")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/390b1fcc-e397-4c13-9c14-69ea0a6eedac"),
                                    generateModel: creatGenerateModel("White House")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/3ca211ab-c5f3-4134-809c-ae2dc77f051c"),
                                    generateModel: creatGenerateModel("Hawaii")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/6fb3e989-8853-4eed-a3db-02cddd0cb735"),
                                    generateModel: creatGenerateModel("Seattle")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/9e24505e-4167-484c-baca-6695083f7fda"),
                                    generateModel: creatGenerateModel("Washington")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/b98c2af8-7466-423e-bd49-2da5ccd4e7e5"),
                                    generateModel: creatGenerateModel("Universal Studios")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/bc35dffe-af89-4d1b-989f-7b08daaa0cd1"),
                                    generateModel: creatGenerateModel("Brazil")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/cefc961b-6382-48cf-b87f-77212395851f"),
                                    generateModel: creatGenerateModel("Hawaii")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/c1f4e051-f12c-44c2-8144-2ccb9fd10c0a"),
                                    generateModel: creatGenerateModel("Hawaii")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/4e028a36-ffe3-4606-a47c-7b3c295e1aa3"),
                                    generateModel: creatGenerateModel("Hawaii")),
                  TSAIDataItemModel(style: .ptp,
                                    viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/bb2cc927-0866-4707-8cb7-1a9e1004d9ed"),
                                    generateModel: creatGenerateModel("Hawaii")),
              ]]
              return section
          }()
    
    
    
    lazy var oceaniaSection: TSAIDataSectionModel = {
        let section = TSAIDataSectionModel()
        section.style = .styleMore
        section.title = "Oceania".localized
        section.sectionEdge =  UIEdgeInsets(top: 0, left: kAIDataSection.left, bottom: 0, right: kAIDataSection.right)
        section.items = [[
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/86c243a6-868c-444f-9222-3986889de2cf"),
                              generateModel: creatGenerateModel("Australia")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/533a59a7-ca7f-4480-a4ff-b2c49b9435a7"),
                              generateModel: creatGenerateModel("Palau")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/e9bd1cdf-26ff-41bb-a755-30bbe4e36fca"),
                              generateModel: creatGenerateModel("New Zealand")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/2dec1c4e-e71e-4736-bc1d-fb198710095b"),
                              generateModel: creatGenerateModel("Australia")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/290c4ebe-15a2-4b31-98de-96ac503b3da0"),
                              generateModel: creatGenerateModel("Australia")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/00f3c706-d149-4c23-8677-a69bdba95a77"),
                              generateModel: creatGenerateModel("New Zealand")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/c74406a2-1e13-4b27-a842-b398a9a0c212"),
                              generateModel: creatGenerateModel("New Zealand")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/d67a2867-b3a6-4710-b6a9-d42fc26011ba"),
                              generateModel: creatGenerateModel("New Zealand")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/41ad8523-d592-4acb-8768-b97db55cb852"),
                              generateModel: creatGenerateModel("Fiji")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/c3abc5c3-2c1d-47c1-8376-88af969aa32f"),
                              generateModel: creatGenerateModel("New Zealand")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/384fe3b2-3c17-4af9-b60b-c559ec85aadb"),
                              generateModel: creatGenerateModel("papua new guinea")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/c129a947-4bcd-4e20-8f7a-505ddc378a38"),
                              generateModel: creatGenerateModel("New Zealand")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/87862e76-32cc-4210-8cb1-8e076065dacc"),
                              generateModel: creatGenerateModel("Australia")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/8d811025-a6cb-4a2a-9b0a-e79707ffc13d"),
                              generateModel: creatGenerateModel("Australia")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/449b74f8-a6fd-4d29-abc5-7022b03024ef"),
                              generateModel: creatGenerateModel("New Zealand")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/e52b551b-8738-4246-89c3-c4478d1e7651"),
                              generateModel: creatGenerateModel("Australia")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/2e6ca274-4956-4000-af88-8d42225c843d"),
                              generateModel: creatGenerateModel("New Zealand")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/e6d25cdc-d30e-4be7-9914-66ae4ea204b2"),
                              generateModel: creatGenerateModel("Australia")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/7fe19506-1d0e-4702-9b2c-6e1759778e27"),
                              generateModel: creatGenerateModel("Australia")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/0f7e07e3-09a0-490c-98d8-a976200fd179"),
                              generateModel: creatGenerateModel("New Zealand")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/d0bf4d0b-a83d-48d6-8b00-eda63374291e"),
                              generateModel: creatGenerateModel("Australia")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/c13d31d1-f0b6-426e-9ed2-ee2a4e0c8b8a"),
                              generateModel: creatGenerateModel("Sydney Opera House")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/b58f6eff-07da-4818-a297-d13e9bee56c3"),
                              generateModel: creatGenerateModel("Fiji")),
            TSAIDataItemModel(style: .ptp,
                              viewModel: TSAIDataBaseItemVM(title: "Travel".localized, imageURLString:"http://d3a93z8fj970a4.cloudfront.net/0d8b2ab4-8958-443c-9490-c24e019ebbea"),
                              generateModel: creatGenerateModel("Queenstown")),
        ]]
        return section
    }()
    
    lazy var listDatas: [TSAIDataSectionModel] = {
        return [
            bannerSection,
            asiaSection,
            europeSection,
            africaSection,
            americaSection,
            oceaniaSection,
        ]
    }()
    


}
